/**
     *\file rotationSelector.h
     *
     *\brief 用来实现图元旋转的selector
     *
     *\author dsc
     */

#ifndef ROTATIONSELECTOR_H
#define ROTATIONSELECTOR_H

#include "baseSelector.h"

class RotationSelector : public BaseSelector
{
    Q_OBJECT

public:
    explicit RotationSelector(QObject *parent = 0);
    virtual ~RotationSelector();

public:
    void mousePressEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseMoveEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
};

#endif
